Bug 25165 - Проблемы взаимодействия QT с KDE через KIO
: Проблемы взаимодействия QT с KDE через KIO
Status: REOPENED
: Sisyphus
(All bugs in Sisyphus/kdebase-kio)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://bugs.kde.org/show_bug.cgi?id=2...
:
:
:
  Show dependency tree
 
Reported: 2011-02-28 11:08 by
Modified: 2012-02-20 13:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-02-28 11:08:35
Имеется QT-программа, которая вызывает диалог сохранения файла.
При вызове диалога в консоли программы имеем:
KGlobal::locale::Warning your global KLocale is being recreated with a valid
main component instead of a fake component, this usually means you tried to
call i18n related functions before your main component was created. You should
not do that since it most likely will not work 
kfilemodule(14560): couldn't create slave: "Unable to create io-slave:
klauncher said: Невідомий протокол «».
" 
kfilemodule(14560): couldn't create slave: "Unable to create io-slave:
klauncher said: Невідомий протокол «».
" 
kfilemodule(14560)/kio (KDirModel) KDirModelPrivate::_k_slotDeleteItems: No
node found for item that was just removed: KUrl("file:///home/roman/нов ав
отч.ods") 
kfilemodule(14560): couldn't create slave: "Unable to create io-slave:
klauncher said: Невідомий протокол «».
" 
kfilemodule(14560): couldn't create slave: "Unable to create io-slave:
klauncher said: Невідомий протокол «».
" 
kfilemodule(14560)/kio (KDirModel) KDirModelPrivate::_k_slotDeleteItems: No
node found for item that was just removed: KUrl("file:///home/roman/нов ав
отч.ods") 
kfilemodule(14560): couldn't create slave: "Unable to create io-slave:
klauncher said: Невідомий протокол «».
" 
kfilemodule(14560): couldn't create slave: "Unable to create io-slave:
klauncher said: Невідомий протокол «».
"


При выходе программа падает с коркой:
#0  0xb4da1a56 in ?? () from /usr/lib/libQtDBus.so.4
#1  0xb4da1d94 in ?? () from /usr/lib/libQtDBus.so.4
#2  0xb68e87ee in QMetaObject::metacall(QObject*, QMetaObject::Call, int,
void**) () from /usr/lib/libQtCore.so.4
#3  0xb68f71ea in QMetaObject::activate(QObject*, QMetaObject const*, int,
void**) () from /usr/lib/libQtCore.so.4
#4  0xb68f7653 in QObject::destroyed(QObject*) () from /usr/lib/libQtCore.so.4
#5  0xb68f8aef in QObject::~QObject() () from /usr/lib/libQtCore.so.4
#6  0xb5667d0a in KIO::Scheduler::~Scheduler() () from /usr/lib/libkio.so.5
#7  0xb5667d2e in KIO::Scheduler::~Scheduler() () from /usr/lib/libkio.so.5
#8  0xb566e672 in ?? () from /usr/lib/libkio.so.5
#9  0xb566a3d4 in ?? () from /usr/lib/libkio.so.5
#10 0xb55fecff in ?? () from /usr/lib/libkio.so.5
#11 0xb74559ef in ?? () from /lib/libc.so.6
#12 0xb7455a4f in exit () from /lib/libc.so.6
#13 0xb743ec9e in __libc_start_main () from /lib/libc.so.6
#14 0x08048c61 in _start () at ../sysdeps/i386/elf/start.S:119

В которой, как можно видеть, нет и следа самой программы.
Если выходить из программы без вызова диалогов сохранения файлов, то падения не
наблюдается.
------- Comment #1 From 2011-07-08 17:55:39 -------
Пока что так http://bugs.kde.org/show_bug.cgi?id=234484
------- Comment #2 From 2011-07-08 18:44:35 -------
(В ответ на комментарий №1)
> Пока что так http://bugs.kde.org/show_bug.cgi?id=234484
Спасибо за ссылочку. Похоже в VLC использована похожая к моей программе
концепция вызова QT. Попробую на ней получить свежий backtrace и лог valgrind.
------- Comment #3 From 2011-10-25 18:10:23 -------
http://bugs.kde.org/show_bug.cgi?id=234484
"Fixed in Qt 4.8"
------- Comment #4 From 2012-02-20 13:00:24 -------
(В ответ на комментарий №3)
> http://bugs.kde.org/show_bug.cgi?id=234484
> "Fixed in Qt 4.8"
Не Fixed!